JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces
juce_AnimatedPositionBehaviours.h File Reference

## Classes
struct | juce::AnimatedPositionBehaviours::ContinuousWithMomentum
| A non-snapping behaviour that allows the content to be freely flicked in either direction, with momentum based on the velocity at which it was released, and variable friction to make it come to a halt. More...
struct | juce::AnimatedPositionBehaviours::SnapToPageBoundaries
| A behaviour that gravitates an AnimatedPosition object towards the nearest integer position when released. More...

## Namespaces
namespace | juce
namespace | juce::AnimatedPositionBehaviours
| Contains classes for different types of physics behaviours - these classes are used as template parameters for the AnimatedPosition class.